#!/env/python3
#
#  Usage: python main.py <FILE_OR_FOLDER> [OUTPUT_FILENAME [MAIN_TITLE]]
#

import os
import sys

import config
import lib

if __name__ == "__main__":

    if len(sys.argv) < 2:
        print("Usage: robot2doc <robot_file_or_dir> [<out_file> [spec_section_title]]")
        sys.exit(-1)

    FILE = sys.argv[1]
    DOC_FILENAME = sys.argv[2] if len(sys.argv) > 2 else config.DOC_FILENAME
    DOC_MAIN_TITLE = sys.argv[3] if len(sys.argv) > 3 else config.DOC_MAIN_TITLE
    COMMIT_ID = sys.argv[4] if len(sys.argv) > 4 else None
    SOL = sys.argv[5] if len(sys.argv) > 5 else None
    API = sys.argv[6] if len(sys.argv) > 6 else None

    print("Received arguments: ", sys.argv)

    tstdoc = lib.TestDoc(FILE, DOC_FILENAME, DOC_MAIN_TITLE, COMMIT_ID, SOL, API)

    if FILE.split("/")[-1].startswith("SOL0"):
        print("Generating entire SOL tests")
        sol = FILE.split("/")[-1]
        apis = [
            os.path.realpath(os.path.join(FILE, item.name)) 
            for item in os.scandir(FILE) 
            if item.is_dir()
            ]
        lib.gen_doc(
                    apis, 
                    DOC_FILENAME, 
                    DOC_MAIN_TITLE, 
                    COMMIT_ID, 
                    sol, 
                    "MICHELE"
                )

        #for item in os.scandir(FILE):
        #    if item.is_dir():
        sys.exit(1)

    lib.gen_doc(FILE, DOC_FILENAME, DOC_MAIN_TITLE, COMMIT_ID, SOL, API)
